Transcription
Transcribe video or audio with word-level timestamps. The output is ready for subtitles, SRT export or closed captions without further processing.
#Transcribe audio or video
Enqueue a job to transcribe spoken words in an audio or video clip to text with word-level timestamps.
https://api.rendley.com/v1/ai/transcribeDon't have one? Create an API key
Which model to use. Changing it updates the params below.
Model-specific parameters. The fields listed for the selected model.
The 'hash' field from the library media entry, or a public URL.
Start time in seconds. Defaults to 0 (beginning of file) if omitted.
End time in seconds. Defaults to the full file duration if omitted.
const res = await fetch("https://api.rendley.com/v1/ai/transcribe", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/ai/transcribe" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/ai/transcribe",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/ai/transcribe");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["params" => ["file_hash" => "<file_hash>"], "model_id" => "eleven-labs-speech-to-text"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/ai/transcribe", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/ai/transcribe")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { params: { file_hash: "<file_hash>" }, model_id: "eleven-labs-speech-to-text" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response
{
"data": {
"job_id": "d97241f2-e1e4-4651-b078-8663fc35c584"
}
}#Calculate transcription cost
Calculate the credit cost of transcribing an audio or video clip.
https://api.rendley.com/v1/ai/transcribe/costDon't have one? Create an API key
Which model to use. Changing it updates the params below.
Model-specific parameters. The fields listed for the selected model.
The 'hash' field from the library media entry, or a public URL.
Start time in seconds. Defaults to 0 (beginning of file) if omitted.
End time in seconds. Defaults to the full file duration if omitted.
const res = await fetch("https://api.rendley.com/v1/ai/transcribe/cost", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/ai/transcribe/cost" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/ai/transcribe/cost",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/ai/transcribe/cost");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["params" => ["file_hash" => "<file_hash>"], "model_id" => "eleven-labs-speech-to-text"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"params": {
"file_hash": "<file_hash>"
},
"model_id": "eleven-labs-speech-to-text"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/ai/transcribe/cost", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/ai/transcribe/cost")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { params: { file_hash: "<file_hash>" }, model_id: "eleven-labs-speech-to-text" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response
{
"data": 0
}